Skip to navigation Skip to main content
Menu
ADD ANYTHING HERE OR JUST REMOVE IT…
Login / Register
Sign in Create an Account

Lost your password?

0 items .ރ 0.00
Menu
0 items
Awaiting product image
Click to enlarge
Home Uncategorized MILKY MIST MILKSHAKE COFFEE 220ML
Placeholder
V Foods Mix Spicy Korean Chicken Biscuits (8 Bondi X 6 Pkt X 50Grm) .ރ 15.99
Back to products
Placeholder
MILKY MIST MILKSHAKE BUTTERSCOTCH 220ML .ރ 12.00

MILKY MIST MILKSHAKE COFFEE 220ML

.ރ 12.00

38 in stock

SKU: 07987 Category: Uncategorized
Share:
  • Shipping & Delivery
Shipping & Delivery

Related products

AKBAR TEA BAGS (NORMAL) 100 X 2 g (L)

.ރ 45.00
Add to cart

CHICKI CHUNK CHICKEN IN SUNFLOWER-OIL 160 g

.ރ 35.00
Add to cart

COAST CALCIUM MILK POWDER 1800 g RFC001

.ރ 420.00
Add to cart

COAST FULL CREAM MILK POWDER 1800 g RFC005

.ރ 410.00
Add to cart

COAST FULL CREAM MILK POWDER 900 g RFC008

.ރ 210.00
Add to cart

DOUBLE PEACH CONDESNED MILK 380GM

.ރ 20.00
Add to cart

FOSTER CLARK COLOR 28 ml GREEN

.ރ 25.00
Add to cart

JULIES CHEESE SANDWICH 126 g

.ރ 28.00
Add to cart
    Based on WoodMart theme© 2026 WooCommerce Themes.
    payments
    Start typing to see posts you are looking for.
    • Menu
    • Categories
    Set your categories menu in Header builder -> Mobile -> Mobile menu element -> Show/Hide -> Choose menu
    • Login / Register
    Shopping cart
    Close
    Home
    0 items Cart
    My account